/*
 Copyright (C) 2015 SAS Institute Inc. Cary, NC, USA
*/

/**
   \file
   \brief The macro updates SIIRC variable to indicate SAS session status.
       
   <b> Identified Inputs </b>
      
   \param[in]  STATUS         input status to indicate for the session(it could be FINISHED or ABORT)

    \ingroup CommonAnalytics
   
    \author SAS Institute INC.
    \date 2015
    
 */
%macro irm_update_siirc(STATUS=);

   %if %upcase(&STATUS eq FINISHED) %then %do;
   
      %let SIIRC=0;
   %end;
   %else %do;
   
      %let SIIRC=1;
   %end;
      
%mend;
